/*
  fontsize.c
  
  Useless CGI that shows text in a user-selected font size.
*/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "cgi-util.h"


/* Text to display: */

#define TEXT "The quick brown fox jumped over the lazy dog."


/* A macro to display the text "selected" in our "<option>" tags: */

#define SELECTED(X) size == X ? "selected" : ""


/* --- MAIN --- */

int main(int argc, char * argv[])
{
  int size;
  
  
  /* Init. the CGI: */
  
  cgi_init();
  printf("Content-type: text/html\n\n");

  
  /* Get the desired font size: */
  
  size = cgi_getentryint("size");
  
  
  /* None selected?  Use default of 2: */
  
  if (size == 0)
    size = 3;
  
  
  /* Display the page: */
  
  /* (header) */
  
  printf("<html><head><title>fontsize.cgi</title></head><body>\n");
  
  
  /* (form) */
  
  printf("<form action=\"fontsize.cgi\">\n");
  
  printf("<select name=\"size\">\n");
  printf("<option value=\"1\" %s> Tiny\n", SELECTED(1));
  printf("<option value=\"2\" %s> Small\n", SELECTED(2));
  printf("<option value=\"3\" %s> Normal\n", SELECTED(3));
  printf("<option value=\"4\" %s> Large\n", SELECTED(4));
  printf("<option value=\"5\" %s> X-Large\n", SELECTED(5));
  printf("</select>\n");
  
  printf("<input type=\"submit\" value=\"Show\">\n");
  
  printf("</form>\n");
  
  
  /* (text) */
  
  printf("<font size=\"%d\">" TEXT "</font><p>\n");
  
  
  /* (end the page) */
  
  printf("</body></html>\n");
  
  
  /* Clean up! */
  
  cgi_quit();
  return(0);
}
